Payment totals for your account
GET
/payments/merchant/stats
const url = 'https://hub.stablezact.com/api/v1/payments/merchant/stats';const options = {method: 'GET', headers: {'X-Public-Key': '<X-Public-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://hub.stablezact.com/api/v1/payments/merchant/stats \ --header 'X-Public-Key: <X-Public-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”startDate
string format: date
endDate
string format: date
statusFilter
string
Responses
Section titled “Responses”The totals.
Media typeapplication/json
object
success
boolean
stats
object
totalPayments
integer
completedPayments
integer
pendingPayments
integer
failedPayments
integer
agentPayments
integer
totalAmount
string
averageAmount
string
isNairaMerchant
boolean
Examplegenerated
{ "success": true, "stats": { "totalPayments": 1, "completedPayments": 1, "pendingPayments": 1, "failedPayments": 1, "agentPayments": 1, "totalAmount": "example", "averageAmount": "example", "isNairaMerchant": true }}Missing or invalid credentials.
Media typeapplication/json
object
success
boolean
error
required
Short machine-ish reason.
string
message
Longer explanation, when there is one.
string
Example
{ "error": "API credentials required. Use x-public-key header or x-api-key and x-api-secret headers."}